{
  template: '${tmpl}',
  data: function () {
    return {
      cs: [],
      eaccount_id: 0,
      eaccount: {},
    }
  },
  mounted: function () {
    var that = this;
    this.eaccount_id = localStorage.getItem("eaccount_id") || 0;
    console.log(this.eaccount_id, "------------------- this.eaccount_id -----------------------");

    var ecid = localStorage.getItem("ecid");
    if (!this.eaccount_id) {
      var signinforouter = localStorage.getItem("signinforouter");
      this.$router.push(signinforouter || "/ecompany/tsigninfo");
    }

    this.getTsAccount();
    if (ecid && ecid != "" && ecid != "undefined") {
      this.$root.postReq("/web/dksignCtl/tsigneds", {
        id: ecid,
        eaccount_id: this.eaccount_id,
      }).then(function (d) {
        if (d.status == 0) {
          that.cs = d.data || [];
          console.log(that.cs, "----------------------------- that cs");
        }
      });
    } else {
      var signinforouter = localStorage.getItem("signinforouter");
      this.$router.push(signinforouter || "/ecompany/tsigninfo");
    }
  },
  created: function () {

  },
  methods: {
    goInfo: function (id) {
      this.$router.push({
        path: "/ecompany/tsigncontractinfo",
        query: {
          "id": id
        }
      });
    },
    getTsAccount() {
      if (!this.eaccount_id) {
        return;
      }
      var self = this;
      console.log(1004);
      this.$root.postReq("/web/dksignCtl/getAccount", {
        id: this.eaccount_id
      }).then(function (d) {
        if (d.status == 0) {
          self.eaccount = d.data;
        }
      });
    },
  },
  vname: "gsb-tsigned"
}